extends Sprite1D


@export var player: Player


func _physics_process(_delta: float) -> void:
	var size = texture.width
	if position + size / 2.0 < player.position - player.size / 2.0:
		var collision = StaticBody1D.new()
		collision.size = size
		add_child(collision)
		set_physics_process(false)
